alias statswebinvision {
  var %ticks = $ticks,%page = $1
  sw <html>
  sw <head><title> $sinfo(p,wintitle) </title>

  sw <style type='text/css'>
  sw body $chr(123) font-size: 10px; font-family: Verdana, Arial, Sans-Serif; color:#000; padding:0px; margin:0px 5px 0px 5px; $chr(125)
  sw table, td, tr $chr(123) font-family: Verdana,Arial, Sans-Serif; color:#000; font-size: 10px; $chr(125)
  sw hr $chr(123) font-weight: bold; font-size: 8pt; color: #CFD6DF; $chr(125)

  sw a, a:link, a:visited, a:active $chr(123) font-weight:bold;font-size:10px;text-decoration: none; color: #3A4F6C; $chr(125)
  sw a:hover $chr(123) font-weight:bold;font-size:10px;text-decoration: underline; color: #3A4F6C; $chr(125)
  sw a.b $chr(123) font-weight: bold; font-size: 10px; color: #0066AC; font-family: Verdana,Arial; text-decoration: none $chr(125)
  sw a.r $chr(123) font-weight: bold; font-size: 10px; color: #D60000; font-family: Verdana,Arial; text-decoration: none $chr(125)
  sw a.g $chr(123) font-weight: bold; font-size: 10px; color: #007070; font-family: Verdana,Arial; text-decoration: none $chr(125)

  sw #submenu1 $chr(123) border-left:1px solid #BCD0ED; border-top:1px solid #BCD0ED; background-color: #DFE6EF;font-size:10px; color:#3A4F6C;font-weight:bold; $chr(125)
  sw #submenu2 $chr(123) border-top:1px solid #BCD0ED; border-right:1px solid #BCD0ED; border-bottom:1px solid #BCD0ED; background-color: #DFE6EF;font-size:10px; color:#3A4F6C;font-weight:bold; $chr(125)
  sw #submenu3 $chr(123) border-top:1px solid #BCD0ED; border-bottom:1px solid #BCD0ED; background-color: #DFE6EF;font-size:10px; color:#3A4F6C;font-weight:bold; $chr(125)
  sw #submenu4 $chr(123) border-left:1px solid #BCD0ED; border-bottom:1px solid #BCD0ED; background-color: #DFE6EF;font-size:10px; color:#3A4F6C;font-weight:bold; $chr(125)
  sw #sidemenu $chr(123) border-left:1px solid #BCD0ED; border-right:1px solid #BCD0ED; background-color: #DFE6EF; font-size:10px; color:#3A4F6C; font-weight:bold; $chr(125)
  sw #sidetitle $chr(123) border-bottom:1px solid #BCD0ED; border-top;1px solid #BCD0ED; font-size:10px; color:#3A4F6C; font-weight:bold $chr(125)
  sw #submenu1 a, #submenu2 a, #submenu3 a, #submenu4 a, #sidemenu a, #sidetitle a $chr(123) font-weight:bold;font-size:10px;text-decoration: none; color: #3A4F6C; $chr(125)

  sw .tableborder $chr(123) border:1px solid #345487;background-color:#FFF; width:100%; $chr(125)

  sw .cattitle $chr(123) font-size:10px; font-weight:bold; line-height:150%; background-color:#C4DCF7; color:#000; padding:5px 4px 5px 5px; border-bottom:1px solid #345487; $chr(125)
  sw .cattitle a $chr(123) font-weight:bold;font-size:10px;text-decoration: none; color: #3A4F6C; $chr(125)
  sw .smalltitle $chr(123) border:1px solid #FFF; font-weight:bold; color:#3A4F6C; line-height: 120%; background-color: #DAE1EA; border-bottom:1px solid #345487; border-left:1px solid #FFF; border-top:1px solid #FFF; border-right:1px solid D1DCEB; $chr(125)
  sw .smalltitle2 $chr(123) border:1px solid #FFF; font-weight:bold; color:#3A4F6C; line-height: 120%; background-color: #DAE1EA; border:1px solid #345487; $chr(125)
  sw .tdrow1 $chr(123) background-color:#EEF2F7; border-bottom:1px solid #D1DCEB; border-right:1px solid #D1DCEB; border-top:1px solid #FFF; border-left:1px solid #FFF; $chr(125)
  sw .tdrow2 $chr(123) background-color:#F5F9FD; border-bottom:1px solid #D1DCEB; border-right:1px solid #D1DCEB; border-top:1px solid #FFF; border-left:1px solid #FFF; $chr(125)
  sw .tdrow3 $chr(123) border:1px solid #FFF; font-weight:bold; color:#3A4F6C; background-color: #DAE1EA; border-bottom:1px solid #D1DCEB; border-left:1px solid #FFF; border-top:1px solid #FFF; border-right:1px solid D1DCEB; $chr(125)

  sw .desc $chr(123) background-color:#EEF2F7; padding:2px 0px 2px 5px; $chr(125)
  sw .plain $chr(123) font-size:9px; color: #000; background-color:#EEF2F7; padding:2px 0px 2px 5px; line-height:1.5em; $chr(125)
  sw .code $chr(123) background: #DFE6EF; font-family: tahoma; margin-left: 30; margin-top: 10; margin-right: 10; padding-left: 10; padding-top: 3; padding-bottom: 3; padding-right: 10; width: 100% $chr(125)
  sw </style>

  sw </head>

  if (%page == /) || (/info* iswm %page) { var %pagehead = Personal Information }
  elseif (/servers* iswm %page) { var %pagehead = Current Connections }
  elseif (/counters* iswm %page) { var %pagehead = Event Counters }
  elseif (/cpu* iswm %page) { var %pagehead = CPU Information }
  elseif (/system* iswm %page) { var %pagehead = System Information }
  elseif (/con* iswm %page) { var %pagehead = Connection Information }
  else { var %pagehead = 404 &middot; Page not found }

  sw <body marginheight='0' marginwidth='0' leftmargin='0' topmargin='0' bgcolor='#FFFFFF'>
  sw <br>
  sw <table width='100%' cellspacing='0' cellpadding='0' height='20'><tr>
  sw <td width=' $+ $iif($sinfo(p,showtime),300,200) $+ ' id='submenu1'><nobr>&nbsp;&nbsp;<a>mIRC Stats</a></nobr></td>
  sw <td align='center' id='submenu3'><nobr><a> %pagehead </a></nobr></td>
  sw <td align='right' id='submenu2'><nobr><a>Version $sinfo(p,version) </a> &middot; <a>mIRC $version $+ </a>&nbsp;&nbsp;</nobr></td>
  sw </tr></table>

  sw <table border=0 cellpadding=0 cellspacing=0 width=100% height=90%>
  sw <tr><td width= $+ $iif($sinfo(p,showtime),'300','200') $+ >

  sw <table width='100%' height='100%' valign='top' cellspacing='0' id='sidemenu'>
  sw <tr><td valign='top' height='100%'>

  sw <table width='100%' cellspacing=0>
  sw <tr><td valign=top><br>&nbsp;<a href='/info'>Personal Information</a></td></tr>
  if ($sinfo(p,showserv)) { sw <tr><td valign=top>&nbsp;<a href='/servers'>Current Connections</a></td></tr> }
  if ($sinfo(p,showcount)) { sw <tr><td valign=top>&nbsp;<a href='/counters'>Event Counters</a><br><br></td></tr> }
  if ($sinfo(p,showsys)) {
    sw <tr><td valign=top>&nbsp;<a href='/cpu'>CPU Information</a></td></tr>
    sw <tr><td valign=top>&nbsp;<a href='/system'>System Information</a></td></tr>
    sw <tr><td valign=top>&nbsp;<a href='/con'>Connection Information</a></td></tr>
  }
  sw </table>
  sw </td></tr><tr><td valign='bottom'>

  if ($sinfo(p,showtime)) {
    sw <tr><td><table width='100%' valign='bottom'>
    sw <tr><td colspan=2 id='sidetitle'>Time</td></tr>
    sw <tr><td><a>Hour:</a></td><td> $sinfo(t,time) </td></tr>
    sw <tr><td><a>Date:</a></td><td> $sinfo(t,date) <br><br></td></tr>
    sw <tr><td><a>Total online:</a></td><td> $sinfo(t,totalonline) </td></tr>
    sw <tr><td><a>mIRC uptime:</a></td><td> $sinfo(t,mirc) </td></tr>
    sw <tr><td><a>System uptime:</a></td><td> $sinfo(t,system) </td></tr>
    sw </table></td></tr>
  } 

  sw </td></tr></table>
  sw <br>


  sw </td><td width=10></td><td valign='top'><br>


  if (%page == /) || (%page == /info) {

    sw <div class='tableborder'>
    sw <table width='100%' cellspacing='0' cellpadding='5' border='0'>
    sw <tr><th class=smalltitle width=130>Item</th><th class=smalltitle>Info</th></tr>
    sw <tr><td class=tdrow1><a>Main Nick:</a></td><td class=tdrow2 align=left> $iif($sinfo(p,nick),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Alt-Nick:</a></td><td class=tdrow2> $iif($sinfo(p,anick),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Full name:</a></td><td class=tdrow2> $iif($sinfo(p,fullname),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Location:</a></td><td class=tdrow2> $iif($sinfo(p,location),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Age:</a></td><td class=tdrow2> $iif($sinfo(p,age),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Gender:</a></td><td class=tdrow2> $iif($sinfo(p,gender),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
    sw <tr><td class=tdrow1><a>Hobbies:</a></td><td class=tdrow2> $iif($sinfo(p,hobbies),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Occupation:</a></td><td class=tdrow2> $iif($sinfo(p,occ),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Bio:</a></td><td class=tdrow2> $iif($sinfo(p,bio),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
    sw <tr><td class=tdrow1><a>E-mail:</a></td><td class=tdrow2><a href="mailto: $+ $strip($sinfo(p,email)) $+ " target="_blank"> $iif($sinfo(p,email),$ifmatch,-) </a></td></tr>
    sw <tr><td class=tdrow1><a>Website:</a></td><td class=tdrow2><a href=" $+ $strip($sinfo(p,website)) $+ " target="_blank"> $iif($sinfo(p,website),$ifmatch,-) </a></td></tr>
    sw <tr><td class=tdrow1><a>MSN Addy:</a></td><td class=tdrow2> $iif($sinfo(p,msn),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>AIM Nick:</a></td><td class=tdrow2> $iif($sinfo(p,aim),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>ICQ Number:</a></td><td class=tdrow2> $iif($sinfo(p,icq),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>Yahoo Addy:</a></td><td class=tdrow2> $iif($sinfo(p,yahoo),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
    sw <tr><td class=tdrow1><a>IRC Networks:</a></td><td class=tdrow2> $iif($sinfo(p,nets),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>IRC Chans:</a></td><td class=tdrow2> $iif($sinfo(p,chans),$ifmatch,-) </td></tr>
    sw <tr><td class=tdrow1><a>IRC Nicks:</a></td><td class=tdrow2> $iif($sinfo(p,nicks),$ifmatch,-) </td></tr>
    sw </table></div>
  }


  elseif (/servers* iswm %page) && ($sinfo(p,showserv)) {
    sw <div class='tableborder'>
    sw <table width='100%' cellspacing='0' cellpadding='5' border='0'>
    sw <tr><th class=smalltitle>Server</th><th class=smalltitle>Network</th><th class=smalltitle>Nick</th><th class=smalltitle>Chans</th><th class=smalltitle>Queries</th><th class=smalltitle>More Info</th></tr>
    if ($scon(1).status == disconnected) { sw <tr><td class=tdrow1 colspan=6>Not connected</td></tr> }
    var %s1 $scon(0)
    var %s2 1
    while (%s2 <= %s1) {
      if ($scon(%s2).status == connected) { scon %s2 | sw <tr><td class='tdrow1'><a href="irc:// $+ $server $+ /"> $server </a></td><td class='tdrow2'> $iif($network,$ifmatch,unknown) </td><td class='tdrow2'> $me </td><td class='tdrow2' align='center'> $chan(0) </td><td class='tdrow2' align='center'> $query(0) </td><td class='tdrow2' align='center'><a href="/servers/?id= $+ %s2 $+ ">Click!</a></tr> }
      inc %s2 1
    }
    sw </table></div><br>

    if (/servers/?id=* iswm %page) {
      var %s3 = $right(%page,-13)
      if ($scon(%s3)) { scon %s3 }
      sw <table border="0" cellpadding="0" cellspacing="0">
      sw <tr><td align="left" valign="top">

      sw <div width='350' class='tableborder'>
      sw <table width='350' cellpadding='5' cellspacing='0' border='0'>
      sw <tr><th colspan=2 class=smalltitle>Server Information</th></tr>
      sw <tr><td class=tdrow1 width=100><a>Server:</a></td><td class=tdrow2> $server </td></tr>
      sw <tr><td class=tdrow1><a>Network:</a></td><td class=tdrow2> $iif($network,$network,-) </td></tr>
      sw <tr><td class=tdrow1><a>Port:</a></td><td class=tdrow2> $iif($port,$port,-) </td></tr>
      sw <tr><td class=tdrow1><a>IP address:</a></td><td class=tdrow2> $iif($serverip,$serverip,-) </td></tr>
      sw <tr><td  class=tdrow1><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Nickname:</a></td><td class=tdrow2> $me </td></tr>
      sw <tr><td class=tdrow1><a>Usermodes:</a></td><td class=tdrow2> $iif($usermode != $chr(43),$left($usermode,1) $right($usermode,-1),-) </td></tr>
      sw <tr><td class=tdrow1><a>Connected:</a></td><td class=tdrow2> $uptime(server,1) </td></tr>
      sw <tr><td class=tdrow1><a>Idle time:</a></td><td class=tdrow2> $duration($idle) </td></tr>
      sw <tr><td class=tdrow1><a>Away:</a></td><td class=tdrow2> $iif($away == $true,yes,no) </td></tr>
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Chan types:</a></td><td class=tdrow2> $iif($chantypes,$ifmatch,-) </td></tr>
      sw <tr><td class=tdrow1><a>Chan modes:</a></td><td class=tdrow2> $iif($chanmodes,$ifmatch,-) </td></tr>
      sw <tr><td class=tdrow1><a>Mode prefix:</a></td><td class=tdrow2> $iif($prefix,$prefix,-) </td></tr>
      sw <tr><td class=tdrow1><a>Mode params:</a></td><td class=tdrow2> $iif($modespl,$ifmatch,-) </td></tr>
      sw </table></div><br>

      sw <div width='350' class='tableborder'>
      sw <table width="350" cellpadding='5' cellspacing='0' border='0'>
      sw <tr><th class='smalltitle' colspan='2'>Channels</th></tr>
      var %c1 = $chan(0),%c2 = 1,%c5 = $1
      tokenize 45 $1
      while (%c2 <= %c1) {
        if (s isin $gettok($chan(%c2).mode,1,32)) && (!$sinfo(p,showsec)) { goto noshow }
        elseif (p isin $gettok($chan(%c2).mode,1,32)) && (!$hg(showpriv)) { goto noshow }
        else { sw <tr><td class=tdrow1 width=250><a href=' $+ $1 $+ -c $+ %c2 $+ '> $+ $chan(%c2) $+ </a></td><td class='tdrow2'><a href='irc:// $+ $server $+ / $+ $right($chan(%c2),-1) $+ '>Join</a></td></tr> }
        :noshow
        inc %c2 1
      }
      if ($chan(0) == 0) { sw <tr><td class=tdrow1 colspan=2>none</td></tr> }
      sw </table></div><br>

      sw <div width='350' class='tableborder'>
      sw <table width='350' cellpadding='5' cellspacing='0' border='0'>
      sw <tr><th class='smalltitle'>Queries</th></tr>
      var %q1 = $query(0),%q2 = 1
      while (%q2 <= %q1) {
        sw <tr><td class=tdrow1><a href=" $+ $1 $+ -q $+ %q2 $+ "> $+ $query(%q2) $+ </a></td></tr>
        inc %q2 1
      }
      if ($query(0) == 0) { sw <tr><td class=tdrow1>none</td></tr> }
      sw </table></div>

      sw </td><td>&nbsp; &nbsp; &nbsp; </td>


      if (*c* iswm $2) {
        sw <td valign="top" align="left">
        var %c4 = $right($2,-1)
        scon %s3
        sw <div class=tableborder>
        sw <table align=left valign=top width=300 cellpadding=5 cellspacing=0 border=0>
        sw <tr><th colspan=2 class=smalltitle>Channel Information</th></tr>
        sw <tr><td class=tdrow1 width=100><a>Channel:</a></td><td class=tdrow2> $chan(%c4) </td></tr>
        sw <tr><td class=tdrow1><a>Total users:</a></td><td class=tdrow2> $nick($chan(%c4),0,a) </td></tr>
        sw <tr><td class=tdrow1><a>Ops:</a></td><td class=tdrow2> $nick($chan(%c4),0,o) ( $+ $iif($int($calc($nick($chan(%c4),0,o) / $nick($chan(%c4),0,a) * 100)) == $null,0,$int($calc($nick($chan(%c4),0,o) / $nick($chan(%c4),0,a) * 100)))) $+ % $+ ) </td></tr>
        sw <tr><td class=tdrow1><a>Halfops:</a></td><td class=tdrow2> $nick($chan(%c4),0,h) ( $+ $iif($int($calc($nick($chan(%c4),0,h) / $nick($chan(%c4),0,a) * 100)) == $null,0,$int($calc($nick($chan(%c4),0,h) / $nick($chan(%c4),0,a) * 100)))) $+ % $+ ) </td></tr>
        sw <tr><td class=tdrow1><a>Voiced:</a></td><td class=tdrow2> $nick($chan(%c4),0,v) ( $+ $iif($int($calc($nick($chan(%c4),0,r) / $nick($chan(%c4),0,a) * 100)) == $null,0,$int($calc($nick($chan(%c4),0,v) / $nick($chan(%c4),0,a) * 100)))) $+ % $+ ) </td></tr>
        sw <tr><td class=tdrow1><a>Regulars:</a></td><td class=tdrow2> $nick($chan(%c4),0,r) ( $+ $iif($int($calc($nick($chan(%c4),0,r) / $nick($chan(%c4),0,a) * 100)) == $null,0,$int($calc($nick($chan(%c4),0,r) / $nick($chan(%c4),0,a) * 100)))) $+ % $+ ) </td></tr>
        sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
        sw <tr><td class=tdrow1><a>Topic:</a></td><td class=tdrow2> $iif($chan(%c4).topic,$strip($ifmatch),-) </td></tr>
        sw <tr><td class=tdrow1><a>Modes:</a></td><td class=tdrow2> $iif($chan($chan(%c4)).mode,$left($chan($chan(%c4)).mode,1) $right($chan($chan(%c4)).mode,-1),-) </td></tr>
        sw <tr><td class=tdrow1><a>Key:</a></td><td class=tdrow2> $iif($chan(%c4).key,$ifmatch,-) </td></tr>
        sw <tr><td class=tdrow1><a>Limit:</a></td><td class=tdrow2> $iif($chan(%c4).limit,$ifmatch,-) </td></tr>
        sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
        sw <tr><td class=tdrow1><a>Window ID:</a></td><td class=tdrow2> $chan(%c4).wid </td></tr>
        sw <tr><td class=tdrow1><a>Connection ID:</a></td><td class=tdrow2> $chan(%c4).cid </td></tr>
        sw </table></div><br>

        sw <div class=tableborder>
        sw <table align=left valign=top width=300 cellpadding=5 cellspacing=0 border=0>
        sw <tr><th class=smalltitle>Users for $chan(%c4) </th><th class=smalltitle> $nick($chan(%c4),0) </th></tr>
        var %u1 = $nick($chan(%c4),0),%u2 = 1
        while (%u2 <= %u1) {
          sw <tr><td class=tdrow1><a> %u2 $+ .</a> $nick($chan(%c4),%u2) </td><td class=tdrow2 align=center><a><b> $iif($nick($chan(%c4),%u2) !isreg $chan(%c4),$left($nick($chan(%c4),%u2).pnick,1)) </b></a></td></tr>
          if (%u2 >= 100) { <tr><td colspan=2><b>- Too much users to list!</b></td></tr> | break }
          inc %u2 1
        }
        sw </table></div></td>
      }

      if (*q* iswm $2) {
        sw <td valign="top" align="left">
        var %q4 = $right($2,-1)
        if ($scon(%3)) { scon %s3 }

        sw <div class=tableborder>
        sw <table align=left valign=top width=300 cellpadding=5 cellspacing=0 border=0>
        sw <tr><th class=smalltitle colspan=2>Query Information</th></tr>
        sw <tr><td class=tdrow1><a>Nickname:</a></td><td class=tdrow2> $query(%q4) </td></tr>
        sw <tr><td class=tdrow1><a>Address:</a></td><td class=tdrow2> $iif($query(%q4).addr,$ifmatch,-) </td></tr>
        sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
        sw <tr><td class=tdrow1><a>Comchans:</a></td><td class=tdrow2> $comchan($query(%q4),0) </td></tr>
        var %q5 = $comchan($query(%q4),0),%q6 = 1
        while (%q6 <= %q5) {
          sw <tr><td class=tdrow1 align=right><a> $iif($query(%q4) !isreg $comchan($query(%q4),%q6),$left($nick($comchan($query(%q4),%q6),$query(%q4)).pnick,1)) </a></td><td class=tdrow2> $comchan($query(%q4),%q6) </td></tr>
          inc %q6
        }
        sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
        sw <tr><td class=tdrow1><a>Window ID:</a></td><td class=tdrow2> $query(%q4).wid </td></tr>
        sw <tr><td class=tdrow1><a>Connection ID:</a></td><td class=tdrow2> $query(%q4).cid </td></tr>
        sw </table></div>
      }
      sw </table>
    }
  }


  elseif (/counters* iswm %page) && ($sinfo(p,showcount)) {
    sw <table width='100%' border='0' cellpadding='0' cellspacing='0'>
    sw <tr><td align='left' valign='top' width=500>&nbsp;&nbsp;

    sw <a href='/counters/basic'>Basic Events</a> &middot;
    sw <a href='/counters/been'>Been Stats</a> &middot;
    sw <a href='/counters/have'>Have Stats</a> &middot;
    sw <a href='/counters/seen'>Seen Stats</a><br><br>

    sw <div class=tableborder width=550>
    sw <table width=550 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th width=120 class=smalltitle>Event</th><th class=smalltitle>Times</th><th class=smalltitle>Per month</th><th class=smalltitle>Per week</th><th class=smalltitle>Per day</th><th class=smalltitle width=60>% of total</td></tr>

    if (%page == /counters) || (%page == /counters/basic) {
      sw <tr><td class=tdrow3 align=center>Basic Events</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(e,date) </td></tr>
      sw <tr><td class=tdrow1><a>Started mIRC:</a></td><td class=tdrow2> $sinfo(e,started) </td><td class=tdrow2> $sinfo(e,started).month </td><td class=tdrow2> $sinfo(e,started).week </td><td class=tdrow2> $sinfo(e,started).day </td><td class=tdrow2> $sinfo(e,started).p </td></tr>
      sw <tr><td class=tdrow1><a>Viewed stats:</a></td><td class=tdrow2> $sinfo(e,viewed) </td><td class=tdrow2> $sinfo(e,viewed).month </td><td class=tdrow2> $sinfo(e,viewed).week </td><td class=tdrow2> $sinfo(e,viewed).day </td><td class=tdrow2> $sinfo(e,viewed).p </td></tr>
      sw <tr><td class=tdrow1><a>Echos:</a></td><td class=tdrow2> $sinfo(e,echo) </td><td class=tdrow2> $sinfo(e,echo).month </td><td class=tdrow2> $sinfo(e,echo).week </td><td class=tdrow2> $sinfo(e,echo).day </td><td class=tdrow2> $sinfo(e,echo).p </td></tr>
      sw <tr><td class=tdrow1><a>CTCP replies:</a></td><td class=tdrow2> $sinfo(e,ctcps) </td><td class=tdrow2> $sinfo(e,ctcps).month </td><td class=tdrow2> $sinfo(e,ctcps).week </td><td class=tdrow2> $sinfo(e,ctcps).day </td><td class=tdrow2> $sinfo(e,ctcps).p </td></tr>
      sw <tr><td class=tdrow1><a>Webpage hits:</a></td><td class=tdrow2> $sinfo(e,pagehits) </td><td class=tdrow2> $sinfo(e,pagehits).month </td><td class=tdrow2> $sinfo(e,pagehits).week </td><td class=tdrow2> $sinfo(e,pagehits).day </td><td class=tdrow2> $sinfo(e,pagehits).p </td></tr>
      sw <tr><td class=tdrow1><a>DCC sent:</a></td><td class=tdrow2> $sinfo(e,dccsend) </td><td class=tdrow2> $sinfo(e,dccsend).month </td><td class=tdrow2> $sinfo(e,dccsend).week </td><td class=tdrow2> $sinfo(e,dccsend).day </td><td class=tdrow2> $sinfo(e,dccsend).p </td></tr>
      sw <tr><td class=tdrow1><a>&nbsp; &nbsp; Size:</a></td><td class=tdrow2> $bytes($sinfo(e,dccsendsize),3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccsendsize).month,3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccsendsize).week,3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccsendsize).day,3).suf </td><td class=tdrow2>-</td></tr>
      sw <tr><td class=tdrow1><a>DCC recieved:</a></td><td class=tdrow2> $sinfo(e,dccget) </td><td class=tdrow2> $sinfo(e,dccget).month </td><td class=tdrow2> $sinfo(e,dccget).week </td><td class=tdrow2> $sinfo(e,dccget).day </td><td class=tdrow2> $sinfo(e,dccget).p </td></tr>
      sw <tr><td class=tdrow1><a>&nbsp; &nbsp; Size:</a></td><td class=tdrow2> $bytes($sinfo(e,dccgetsize),3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccgetsize).month,3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccgetsize).week,3).suf </td><td class=tdrow2> $bytes($sinfo(e,dccgetsize).day,3).suf </td><td class=tdrow2>-</td></tr>
      sw <tr><td class=tdrow3 align=center>Text Stuff</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(e,date) </td></tr>
      sw <tr><td class=tdrow1><a>Lines:</a></td><td class=tdrow2> $sinfo(e,lines) </td><td class=tdrow2> $sinfo(e,lines).month </td><td class=tdrow2> $sinfo(e,lines).week </td><td class=tdrow2> $sinfo(e,lines).day </td><td class=tdrow2> $sinfo(e,lines).p </td></tr>
      sw <tr><td class=tdrow1><a>Words:</a></td><td class=tdrow2> $sinfo(e,words) </td><td class=tdrow2> $sinfo(e,words).month </td><td class=tdrow2> $sinfo(e,words).week </td><td class=tdrow2> $sinfo(e,words).day </td><td class=tdrow2> $sinfo(e,words).p </td></tr>
      sw <tr><td class=tdrow1><a>Characters:</a></td><td class=tdrow2> $sinfo(e,chars) </td><td class=tdrow2> $sinfo(e,chars).month </td><td class=tdrow2> $sinfo(e,chars).week </td><td class=tdrow2> $sinfo(e,chars).day </td><td class=tdrow2> $sinfo(e,chars).p </td></tr>
      sw <tr><td class=tdrow1><a>Punctuations:</a></td><td class=tdrow2> $sinfo(e,puncs) </td><td class=tdrow2> $sinfo(e,puncs).month </td><td class=tdrow2> $sinfo(e,puncs).week </td><td class=tdrow2> $sinfo(e,puncs).day </td class=tdrow2><td class=tdrow2> $sinfo(e,puncs).p </td></tr>
      sw <tr><td class=tdrow1><a>Smilies:</a></td><td class=tdrow2> $sinfo(e,smilies) </td><td class=tdrow2> $sinfo(e,smilies).month </td><td class=tdrow2> $sinfo(e,smilies).week </td><td class=tdrow2> $sinfo(e,smilies).day </td><td class=tdrow2> $sinfo(e,smilies).p </td></tr>
      sw <tr><td class=tdrow3 align=center>Custom Words</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(e,date) </td></tr>
      if ($sinfo(e,cwords,0)) {
        var %c = 1,%c2 = $ifmatch
        while (%c <= %c2) {
          var %w = $sinfo(e,cwords,%c)
          sw <tr><td class=tdrow1><a> $gettok(%w,2-,46) $+ : </a></td><td class=tdrow2> $sinfo(e,%w) </td><td class=tdrow2> $sinfo(e,%w).month </td><td class=tdrow2> $sinfo(e,%w).week </td><td class=tdrow2> $sinfo(e,%w).day </td><td class=tdrow2> $sinfo(e,%w).p </td></tr>
          inc %c
        }
      }
      else { sw <tr><td class=tdrow1>None</td><td colspan=5 class=tdrow2><br></td></tr> }
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Total:</a></td><td class=tdrow2> $sinfo(e,total) </td><td class=tdrow2> $sinfo(e,total).month </td><td class=tdrow2> $sinfo(e,total).week </td><td class=tdrow2> $sinfo(e,total).day </td><td class=tdrow2> $sinfo(e,total).p </td></tr>
    }

    elseif (%page == /counters/been) {
      sw <tr><td class=tdrow3 align=center>Been Stats</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(b,date) </td></tr>
      sw <tr><td class=tdrow1><a>Oped:</a></td><td class=tdrow2> $sinfo(b,oped) </td><td class=tdrow2> $sinfo(b,oped).month </td><td class=tdrow2> $sinfo(b,oped).week </td><td class=tdrow2> $sinfo(b,oped).day </td><td class=tdrow2> $sinfo(b,oped).p </td></tr>
      sw <tr><td class=tdrow1><a>Deoped:</a></td><td class=tdrow2> $sinfo(b,deoped) </td><td class=tdrow2> $sinfo(b,deoped).month </td><td class=tdrow2> $sinfo(b,deoped).week </td><td class=tdrow2> $sinfo(b,deoped).day </td><td class=tdrow2> $sinfo(b,deoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Halfoped:</a></td><td class=tdrow2> $sinfo(b,halfoped) </td><td class=tdrow2> $sinfo(b,halfoped).month </td><td class=tdrow2> $sinfo(b,halfoped).week </td><td class=tdrow2> $sinfo(b,halfoped).day </td><td class=tdrow2> $sinfo(b,halfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Dehalfoped:</a></td><td class=tdrow2> $sinfo(b,dehalfoped) </td><td class=tdrow2> $sinfo(b,dehalfoped).month </td><td class=tdrow2> $sinfo(b,dehalfoped).week </td><td class=tdrow2> $sinfo(b,dehalfoped).day </td><td class=tdrow2> $sinfo(b,dehalfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Voiced:</a></td><td class=tdrow2> $sinfo(b,voiced) </td><td class=tdrow2> $sinfo(b,voiced).month </td><td class=tdrow2> $sinfo(b,voiced).week </td><td class=tdrow2> $sinfo(b,voiced).day </td><td class=tdrow2> $sinfo(b,voiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Devoiced:</a></td><td class=tdrow2> $sinfo(b,devoiced) </td><td class=tdrow2> $sinfo(b,devoiced).month </td><td class=tdrow2> $sinfo(b,devoiced).week </td><td class=tdrow2> $sinfo(b,devoiced).day </td><td class=tdrow2> $sinfo(b,devoiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Kicked:</a></td><td class=tdrow2> $sinfo(b,kicked) </td><td class=tdrow2> $sinfo(b,kicked).month </td><td class=tdrow2> $sinfo(b,kicked).week </td><td class=tdrow2> $sinfo(b,kicked).day </td><td class=tdrow2> $sinfo(b,kicked).p </td></tr>
      sw <tr><td class=tdrow1><a>Banned:</a></td><td class=tdrow2> $sinfo(b,banned) </td><td class=tdrow2> $sinfo(b,banned).month </td><td class=tdrow2> $sinfo(b,banned).week </td><td class=tdrow2> $sinfo(b,banned).day </td><td class=tdrow2> $sinfo(b,banned).p </td></tr>
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Total:</a></td><td class=tdrow2> $sinfo(b,total) </td><td class=tdrow2> $sinfo(b,total).month </td><td class=tdrow2> $sinfo(b,total).week </td><td class=tdrow2> $sinfo(b,total).day </td><td class=tdrow2> $sinfo(b,total).p </td></tr>
    }
    elseif (%page == /counters/have) {
      sw <tr><td class=tdrow3 align=center>Have Stats</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(h,date) </td></tr>
      sw <tr><td class=tdrow1><a>Oped:</a></td><td class=tdrow2> $sinfo(h,oped) </td><td class=tdrow2> $sinfo(h,oped).month </td><td class=tdrow2> $sinfo(h,oped).week </td><td class=tdrow2> $sinfo(h,oped).day </td><td class=tdrow2> $sinfo(h,oped).p </td></tr>
      sw <tr><td class=tdrow1><a>Deoped:</a></td><td class=tdrow2> $sinfo(h,deoped) </td><td class=tdrow2> $sinfo(h,deoped).month </td><td class=tdrow2> $sinfo(h,deoped).week </td><td class=tdrow2> $sinfo(h,deoped).day </td><td class=tdrow2> $sinfo(h,deoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Halfoped:</a></td><td class=tdrow2> $sinfo(h,halfoped) </td><td class=tdrow2> $sinfo(h,halfoped).month </td><td class=tdrow2> $sinfo(h,halfoped).week </td><td class=tdrow2> $sinfo(h,halfoped).day </td><td class=tdrow2> $sinfo(h,halfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Dehalfoped:</a></td><td class=tdrow2> $sinfo(h,dehalfoped) </td><td class=tdrow2> $sinfo(h,dehalfoped).month </td><td class=tdrow2> $sinfo(h,dehalfoped).week </td><td class=tdrow2> $sinfo(h,dehalfoped).day </td><td class=tdrow2> $sinfo(h,dehalfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Voiced:</a></td><td class=tdrow2> $sinfo(h,voiced) </td><td class=tdrow2> $sinfo(h,voiced).month </td><td class=tdrow2> $sinfo(h,voiced).week </td><td class=tdrow2> $sinfo(h,voiced).day </td><td class=tdrow2> $sinfo(h,voiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Devoiced:</a></td><td class=tdrow2> $sinfo(h,devoiced) </td><td class=tdrow2> $sinfo(h,devoiced).month </td><td class=tdrow2> $sinfo(h,devoiced).week </td><td class=tdrow2> $sinfo(h,devoiced).day </td><td class=tdrow2> $sinfo(h,devoiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Kicked:</a></td><td class=tdrow2> $sinfo(h,kicked) </td><td class=tdrow2> $sinfo(h,kicked).month </td><td class=tdrow2> $sinfo(h,kicked).week </td><td class=tdrow2> $sinfo(h,kicked).day </td><td class=tdrow2> $sinfo(h,kicked).p </td></tr>
      sw <tr><td class=tdrow1><a>Banned:</a></td><td class=tdrow2> $sinfo(h,banned) </td><td class=tdrow2> $sinfo(h,banned).month </td><td class=tdrow2> $sinfo(h,banned).week </td><td class=tdrow2> $sinfo(h,banned).day </td><td class=tdrow2> $sinfo(h,banned).p </td></tr>
      sw <tr><td class=tdrow1><a>Changed nick:</a></td><td class=tdrow2> $sinfo(h,nick) </td><td class=tdrow2> $sinfo(h,nick).month </td><td class=tdrow2> $sinfo(h,nick).week </td><td class=tdrow2> $sinfo(h,nick).day </td><td class=tdrow2> $sinfo(h,nick).p </td></tr>
      sw <tr><td class=tdrow1><a>Set topic:</a></td><td class=tdrow2> $sinfo(h,topic) </td><td class=tdrow2> $sinfo(h,topic).month </td><td class=tdrow2> $sinfo(h,topic).week </td><td class=tdrow2> $sinfo(h,topic).day </td><td class=tdrow2> $sinfo(h,topic).p </td></tr>
      sw <tr><td class=tdrow1><a>Quit server:</a></td><td class=tdrow2> $sinfo(h,quit) </td><td class=tdrow2> $sinfo(h,quit).month </td><td class=tdrow2> $sinfo(h,quit).week </td><td class=tdrow2> $sinfo(h,quit).day </td><td class=tdrow2> $sinfo(h,quit).p </td></tr>
      sw <tr><td class=tdrow1><a>Joined chan:</a></td><td class=tdrow2> $sinfo(h,joined) </td><td class=tdrow2> $sinfo(h,joined).month </td><td class=tdrow2> $sinfo(h,joined).week </td><td class=tdrow2> $sinfo(h,joined).day </td><td class=tdrow2> $sinfo(h,joined).p </td></tr>
      sw <tr><td class=tdrow1><a>Parted chan:</a></td><td class=tdrow2> $sinfo(h,parted) </td><td class=tdrow2> $sinfo(h,parted).month </td><td class=tdrow2> $sinfo(h,parted).week </td><td class=tdrow2> $sinfo(h,parted).day </td><td class=tdrow2> $sinfo(h,parted).p </td></tr>
      sw <tr><td class=tdrow1><a>Queries:</a></td><td class=tdrow2> $sinfo(h,query) </td><td class=tdrow2> $sinfo(h,query).month </td><td class=tdrow2> $sinfo(h,query).week </td><td class=tdrow2> $sinfo(h,query).day </td><td class=tdrow2> $sinfo(h,query).p </td></tr>
      sw <tr><td class=tdrow1><a>Connected:</a></td><td class=tdrow2> $sinfo(h,connected) </td><td class=tdrow2> $sinfo(h,connected).month </td><td class=tdrow2> $sinfo(h,connected).week </td><td class=tdrow2> $sinfo(h,connected).day </td><td class=tdrow2> $sinfo(h,connected).p </td></tr>
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Total:</a></td><td class=tdrow2> $sinfo(h,total) </td><td class=tdrow2> $sinfo(h,total).month </td><td class=tdrow2> $sinfo(h,total).week </td><td class=tdrow2> $sinfo(h,total).day </td><td class=tdrow2> $sinfo(h,total).p </td></tr>
    }
    elseif (%page == /counters/seen) {
      sw <tr><td class=tdrow3 align=center>Seen Stats</td><td align=right colspan=5 class=tdrow3>Since: $sinfo(s,date) </td></tr>
      sw <tr><td class=tdrow1><a>Oped:</a></td><td class=tdrow2> $sinfo(s,oped) </td><td class=tdrow2> $sinfo(s,oped).month </td><td class=tdrow2> $sinfo(s,oped).week </td><td class=tdrow2> $sinfo(s,oped).day </td><td class=tdrow2> $sinfo(s,oped).p </td></tr>
      sw <tr><td class=tdrow1><a>Deoped:</a></td><td class=tdrow2> $sinfo(s,deoped) </td><td class=tdrow2> $sinfo(s,deoped).month </td><td class=tdrow2> $sinfo(s,deoped).week </td><td class=tdrow2> $sinfo(s,deoped).day </td><td class=tdrow2> $sinfo(s,deoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Halfoped:</a></td><td class=tdrow2> $sinfo(s,halfoped) </td><td class=tdrow2> $sinfo(s,halfoped).month </td><td class=tdrow2> $sinfo(s,halfoped).week </td><td class=tdrow2> $sinfo(s,halfoped).day </td><td class=tdrow2> $sinfo(s,halfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Dehalfoped:</a></td><td class=tdrow2> $sinfo(s,dehalfoped) </td><td class=tdrow2> $sinfo(s,dehalfoped).month </td><td class=tdrow2> $sinfo(s,dehalfoped).week </td><td class=tdrow2> $sinfo(s,dehalfoped).day </td><td class=tdrow2> $sinfo(s,dehalfoped).p </td></tr>
      sw <tr><td class=tdrow1><a>Voiced:</a></td><td class=tdrow2> $sinfo(s,voiced) </td><td class=tdrow2> $sinfo(s,voiced).month </td><td class=tdrow2> $sinfo(s,voiced).week </td><td class=tdrow2> $sinfo(s,voiced).day </td><td class=tdrow2> $sinfo(s,voiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Devoiced:</a></td><td class=tdrow2> $sinfo(s,devoiced) </td><td class=tdrow2> $sinfo(s,devoiced).month </td><td class=tdrow2> $sinfo(s,devoiced).week </td><td class=tdrow2> $sinfo(s,devoiced).day </td><td class=tdrow2> $sinfo(s,devoiced).p </td></tr>
      sw <tr><td class=tdrow1><a>Kicked:</a></td><td class=tdrow2> $sinfo(s,kicked) </td><td class=tdrow2> $sinfo(s,kicked).month </td><td class=tdrow2> $sinfo(s,kicked).week </td><td class=tdrow2> $sinfo(s,kicked).day </td><td class=tdrow2> $sinfo(s,kicked).p </td></tr>
      sw <tr><td class=tdrow1><a>Banned:</a></td><td class=tdrow2> $sinfo(s,banned) </td><td class=tdrow2> $sinfo(s,banned).month </td><td class=tdrow2> $sinfo(s,banned).week </td><td class=tdrow2> $sinfo(s,banned).day </td><td class=tdrow2> $sinfo(s,banned).p </td></tr>
      sw <tr><td class=tdrow1><a>Nick change:</a></td><td class=tdrow2> $sinfo(s,nick) </td><td class=tdrow2> $sinfo(s,nick).month </td><td class=tdrow2> $sinfo(s,nick).week </td><td class=tdrow2> $sinfo(s,nick).day </td><td class=tdrow2> $sinfo(s,nick).p </td></tr>
      sw <tr><td class=tdrow1><a>Topic change:</a></td><td class=tdrow2> $sinfo(s,topic) </td><td class=tdrow2> $sinfo(s,topic).month </td><td class=tdrow2> $sinfo(s,topic).week </td><td class=tdrow2> $sinfo(s,topic).day </td><td class=tdrow2> $sinfo(s,topic).p </td></tr>
      sw <tr><td class=tdrow1><a>Server quit:</a></td><td class=tdrow2> $sinfo(s,quit) </td><td class=tdrow2> $sinfo(s,quit).month </td><td class=tdrow2> $sinfo(s,quit).week </td><td class=tdrow2> $sinfo(s,quit).day </td><td class=tdrow2> $sinfo(s,quit).p </td></tr>
      sw <tr><td class=tdrow1><a>Chan join:</a></td><td class=tdrow2> $sinfo(s,joined) </td><td class=tdrow2> $sinfo(s,joined).month </td><td class=tdrow2> $sinfo(s,joined).week </td><td class=tdrow2> $sinfo(s,joined).day </td><td class=tdrow2> $sinfo(s,joined).p </td></tr>
      sw <tr><td class=tdrow1><a>Chan part:</a></td><td class=tdrow2> $sinfo(s,parted) </td><td class=tdrow2> $sinfo(s,parted).month </td><td class=tdrow2> $sinfo(s,parted).week </td><td class=tdrow2> $sinfo(s,parted).day </td><td class=tdrow2> $sinfo(s,parted).p </td></tr>
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      sw <tr><td class=tdrow1><a>Total:</a></td><td class=tdrow2> $sinfo(s,total) </td><td class=tdrow2> $sinfo(s,total).month </td><td class=tdrow2> $sinfo(s,total).week </td><td class=tdrow2> $sinfo(s,total).day </td><td class=tdrow2> $sinfo(s,total).p </td></tr>
    }

    sw </table></div>
    sw </td></tr></table>
  }


  elseif (/cpu* iswm %page) && ($sinfo(p,showsys)) {
    sw <table border="0" cellpadding="0" cellspacing="0">
    sw <tr><td align="left" valign="top">

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>CPU</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>CPU:</a></td><td class=tdrow2> $iif($sinfo(y,cpu),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Manufacturer:</a></td><td class=tdrow2> $iif($sinfo(y,man),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Megahertz:</a></td><td class=tdrow2> $iif($sinfo(y,mhz),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Cache:</a></td><td class=tdrow2> $iif($sinfo(y,cache),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Load:</a></td><td class=tdrow2> $iif($sinfo(y,load),$ifmatch,-) </td></tr>
    sw </table></div><br>

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>RAM</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>RAM ammount:</a></td><td class=tdrow2> $iif($sinfo(y,ram),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>In use:</a></td><td class=tdrow2> $iif($sinfo(y,ramuse),$ifmatch,-) </td></tr>
    sw </table></div><br>

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>L1 Cache</th></tr>
    sw <tr><td valign=top class=tdrow1><a>Size:</a></td><td width=120 class=tdrow2> $iif($sinfo(y,cachesize),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Associativity:</a></td><td class=tdrow2> $iif($sinfo(y,cacheassoc),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Lines:</a></td><td class=tdrow2> $iif($sinfo(y,cachelines),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Line size:</a></td><td class=tdrow2> $iif($sinfo(y,cachelinesize),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Instruction size:</a></td><td class=tdrow2> $iif($sinfo(y,cacheinstrsize),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Instruction associativity:</a></td><td class=tdrow2> $iif($sinfo(y,cacheinstrassoc),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Instruction lines:</a></td><td class=tdrow2> $iif($sinfo(y,cacheinstrlines),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Intruction line size:</a></td><td class=tdrow2> $iif($sinfo(y,cacheinstrlinesize),$ifmatch,-) </td></tr>
    sw </table></div>

    sw </td><td>&nbsp; &nbsp; &nbsp; </td><td align=left valign=top>

    sw <div class=tableborder>
    sw <table width=300 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>Misc info</th></tr>
    sw <tr><td class=tdrow1><a>3DNow! support:</a></td><td class=tdrow2> $iif($sinfo(m,3dNow), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Extended 3DNow! support:</a></td><td class=tdrow2> $iif($sinfo(m,3dNowExt), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>MMX support:</a></td><td class=tdrow2> $iif($sinfo(m,MMX), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>MMX Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,MMXExt), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Supports CPUID instruction:</a></td><td class=tdrow2> $iif($sinfo(m,CPUID), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>FPU present:</a></td><td class=tdrow2> $iif($sinfo(m,FPU), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Virtual Mode Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,VME), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Debug Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,DEBUG), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Page Size Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,PSE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Time Stamp Counter:</a></td><td class=tdrow2> $iif($sinfo(m,TSC), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Model Specific Registers:</a></td><td class=tdrow2> $iif($sinfo(m,MSR), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Page Address Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,PAE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Machine Check Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,MCE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>CMPXCHG8 instruction:</a></td><td class=tdrow2> $iif($sinfo(m,CMPXCHG8), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>APIC:</a></td><td class=tdrow2> $iif($sinfo(m,APIC), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>SYSENTER/SYSEXIT instruction:</a></td><td class=tdrow2> $iif($sinfo(m,SYSENTER), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Memory Type Range Registers instruction:</a></td><td class=tdrow2> $iif($sinfo(m,MTRR), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Global Paging Extensions:</a></td><td class=tdrow2> $iif($sinfo(m,GPE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Machine Check Architecture:</a></td><td class=tdrow2> $iif($sinfo(m,MCA), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>CMOV instruction:</a></td><td class=tdrow2> $iif($sinfo(m,CMOV), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>Page Attribute Table:</a></td><td class=tdrow2> $iif($sinfo(m,PAT), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>PSE36 (Page Size Extensions):</a></td><td class=tdrow2> $iif($sinfo(m,PSE36), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>FXSAVE/FXRSTOR instruction:</a></td><td class=tdrow2> $iif($sinfo(m,FXSAVE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>SSE:</a></td><td class=tdrow2> $iif($sinfo(m,SSE), Yes, No) </td></tr>
    sw <tr><td class=tdrow1><a>SSE FP support:</a></td><td class=tdrow2> $iif($sinfo(m,SSEFP), Yes, No) </td></tr>
    sw </table></div>

    sw </td></tr>
    sw </table>

  }

  elseif (/system* iswm %page) && ($sinfo(p,showsys)) {
    sw <table border="0" cellpadding="0" cellspacing="0">
    sw <tr><td align="left" valign="top">

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>Operating System</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>OS:</a></td><td class=tdrow2> $iif($sinfo(y,os),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Version:</a></td><td class=tdrow2> $iif($sinfo(y,osver),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Build:</a></td><td class=tdrow2> $iif($sinfo(y,osbuild),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Installed for:</a></td><td class=tdrow2> $iif($sinfo(y,osinst),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Uptime:</a></td><td class=tdrow2> $iif($sinfo(y,osup),$ifmatch,-) </td></tr>
    sw </table></div>

    sw </td><td>&nbsp; &nbsp; &nbsp; </td><td align=left valign=top>

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>GFX</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>GFX card:</a></td><td class=tdrow2> $iif($sinfo(y,gfx) != -1,$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Resolution:</a></td><td class=tdrow2> $iif($sinfo(y,gfxres),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Refresh rate:</a></td><td class=tdrow2> $iif($sinfo(y,gfxref),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Depth:</a></td><td class=tdrow2> $iif($sinfo(y,gfxdepth),$ifmatch,-) </td></tr>
    sw </table></div>

    sw </td></tr><tr><td align="left" valign="top" colspan=3><br>

    sw <div class=tableborder>
    sw <table width='100%' cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=6 class=smalltitle>HDD</th></tr>
    sw <tr><td class=tdrow3>Drive</td><td class=tdrow3>Type</td><td class=tdrow3>Size</td><td class=tdrow3>Used</td><td class=tdrow3>Free</td><td class=tdrow3>% Free</td></tr>

    var %l = 67,%tfs = 0,%ts = 0,%i = 2,%rtfs = 0,%rts = 0
    while (%l <= 90) {
      if ($disk($chr(%l))) {
        if ($disk($chr(%l)).type == fixed) || ($disk($chr(%l)).type == cdrom) || ($disk($chr(%l)).type == removable) {
          var %f = $disk($chr(%l)).free,%s = $disk($chr(%l)).size
          inc %tfs %f
          inc %ts %s
          sw <tr><td class=tdrow1><a> $chr(%l) $+ : ( $+ $iif($disk($chr(%l)).label,$disk($chr(%l)).label,No label) $+ ) </a></td><td class=tdrow2> $disk($chr(%l)).type </td><td class=tdrow2> $bytes(%s,3).suf </td><td class=tdrow2> $bytes($calc(%s - %f),3).suf </td><td class=tdrow2> $bytes(%f,3).suf </td><td class=tdrow2> $round($calc((%f / %s)*100),1) $+ % </td></tr>
          var %dn = 1
          inc %i
        }
        elseif ($disk($chr(%l)).type == remote) {
          var %rf = $disk($chr(%l)).free,%rs = $disk($chr(%l)).size
          inc %rtfs %rf
          inc %rts %rs
          sw <tr><td><a> $chr(%l) $+ : ( $+ $disk($chr(%l)).unc $+ ) </a></td><td> $disk($chr(%l)).type </td><td> $bytes(%rs,3).suf </td><td> $bytes($calc(%rs - %rf),3).suf </td><td> $bytes(%rf,3).suf </td><td> $round($calc((%rf / %rs)*100),1) $+ % </td></tr>
          var %dn = 1,%rdn = 1
          inc %i
        }
      }
      inc %l
    }
    if (%dn) {
      sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      if (%rdn) {
        sw <tr><td class=tdrow1><a>Local total</a></td><td class=tdrow2>-</td><td class=tdrow2> $bytes(%ts,3).suf </td><td class=tdrow2> $bytes(%tfs,3).suf </td><td class=tdrow2> $round($calc((%tfs / %ts)*100),1) $+ % </td></tr>
        sw <tr><td class=tdrow1><a>Mapped total</a></td><td class=tdrow2>-</td><td class=tdrow2> $bytes(%rts,3).suf </td><td class=tdrow2> $bytes(%rtfs,3).suf </td><td class=tdrow2> $round($calc((%rtfs / %rts)*100),1) $+ % </td></tr>
        sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td><td class=tdrow2><br></td></tr>
      }
      sw <tr><td class=tdrow1><a>Total</a></td><td class=tdrow2>-</td><td class=tdrow2> $bytes($calc(%ts + %rts),3).suf </td><td class=tdrow2> $bytes($calc((%ts + %rts) - (%rtfs + %tfs)),3).suf </td><td class=tdrow2> $bytes($calc(%rtfs + %tfs),3).suf </td><td class=tdrow2> $round($calc(((%rtfs + %tfs)/(%ts + %rts))*100),1) $+ % </td></tr>
    }
    sw </table></div>

    sw </td></tr>
    sw </table>
  }

  elseif (/con* iswm %page) && ($sinfo(p,showsys)) {
    sw <table border="0" cellpadding="0" cellspacing="0">
    sw <tr><td align="left" valign="top">

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>Dail-up Connection</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>Connection:</a></td><td class=tdrow2> $iif($sinfo(y,con),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Speed:</a></td><td class=tdrow2> $iif($sinfo(y,conspeed),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Downloaded:</a></td><td class=tdrow2> $iif($sinfo(y,condown),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Uploaded:</a></td><td class=tdrow2> $iif($sinfo(y,conup),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Active for:</a></td><td class=tdrow2> $iif($sinfo(y,conactive),$ifmatch,-) </td></tr>
    sw </table></div>

    sw </td><td>&nbsp; &nbsp; &nbsp; </td><td align=left valign=top>

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><th colspan=2 class=smalltitle>Ethernet</th></tr>
    sw <tr><td valign=top width=100 class=tdrow1><a>Name:</a></td><td class=tdrow2> $iif($sinfo(y,eth),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Speed:</a></td><td class=tdrow2> $iif($sinfo(y,ethspeed),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Recieved:</a></td><td class=tdrow2> $iif($sinfo(y,ethget),$ifmatch,-) </td></tr>
    sw <tr><td valign=top class=tdrow1><a>Sent:</a></td><td class=tdrow2> $iif($sinfo(y,ethsent),$ifmatch,-) </td></tr>
    sw </table></div>

    sw </td></tr><tr><td align=left valign=top><br>

    sw <div class=tableborder>
    sw <table width=350 cellpadding=5 cellspacing=0 border=0>
    sw <tr><td valign=top width=100 class=tdrow1>IP:</td><td class=tdrow2> $sinfo(y,ip) </td></tr>
    sw <tr><td class=tdrow1><br></td><td class=tdrow2><br></td></tr>
    sw <tr><td valign=top class=tdrow1>Upstream:</td><td class=tdrow2> $sinfo(y,upstream) </td></tr>
    sw <tr><td valign=top class=tdrow1>Downstream:</td><td class=tdrow2> $sinfo(y,downstream) </td></tr>
    sw </table></div>

    sw </td><td colspan=2></td></tr>
    sw </table>
  }


  sw <br></td></tr></table>

  sw <table width='100%' cellspacing='0' cellpadding='0' height='20'><tr>
  sw <td width=' $+ $iif($sinfo(p,showtime),300,200) $+ ' id='submenu4'><br></td>
  sw <td align='center' id='submenu3'><nobr><a>Generated in $calc(($ticks - %ticks) /1000) secs.</a></nobr></td>
  sw <td align='right' id='submenu2'><nobr><a>1024x768 &middot; </a><a href='mailto:marckuiper@hotmail.com'>Voice of Power</a>&nbsp;&nbsp;</nobr></td>
  sw </tr></table><br>

  sw </body></html>
}
